aboutsummaryrefslogtreecommitdiff
path: root/libexec
diff options
context:
space:
mode:
authorWarner Losh <imp@FreeBSD.org>2020-10-25 06:22:43 +0000
committerWarner Losh <imp@FreeBSD.org>2021-05-05 21:19:41 +0000
commitd00aff627828ef69d7333537e3a81b47bfa1a8e8 (patch)
tree6aeb1595dbffc259ba57eb30b4c5cb0eac9b0819 /libexec
parentf009aedae4d054819848ab3f7ef1b846c4d35d3c (diff)
Diffstat (limited to 'libexec')
-rwxr-xr-xlibexec/rc/rc.d/kld1
1 files changed, 1 insertions, 0 deletions
diff --git a/libexec/rc/rc.d/kld b/libexec/rc/rc.d/kld
index d3829efe824a..e9a8e6d37a08 100755
--- a/libexec/rc/rc.d/kld
+++ b/libexec/rc/rc.d/kld
@@ -41,6 +41,7 @@ stop_cmd=':'
kld_start()
{
[ -n "$kld_list" ] || return
+ [ -z "$(kenv -q kld_disable 2>/dev/null)" ] || return
local _kld